#
# spec file for package perl-GD-Graph3d
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-GD-Graph3d
BuildRequires:  perl-GD
BuildRequires:  perl-GDGraph
BuildRequires:  perl-GDTextUtil
BuildRequires:  perl-macros
Version:        0.63
Release:        273.4
Requires:       perl-GD
Requires:       perl-GDGraph
Requires:       perl-GDTextUtil
Provides:       perl-GDGraph3d
Obsoletes:      perl-GDGraph3d
Url:            http://cpan.org/modules/by-module/GD/
Summary:        3d extension for perl-GDGraph
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Source:         GD-Graph3d-%{version}.tar.gz
Patch0:         GD-Graph3d-trim_miter.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This is the GD::Graph3d extensions module. It provides 3D graphs for
the GD::Graph module by Martien Verbruggen, which in turn generates
graph using Lincoln Stein's GD.pm.

%prep
%autosetup -p1 -n GD-Graph3d-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/GD
%{perl_vendorlib}/GD
%{perl_vendorlib}/GD/Graph3d.pm

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%patch0 to fix compilation with rpm-4.19
* Tue Mar 13 2018 crrodriguez@opensuse.org
- Remove buildrequires on jpeg and xorg-x11-devel
* Thu Jan 16 2014 coolo@suse.com
- own all subdirectories
* Wed Sep 11 2013 pgajdos@suse.com
- own %%{perl_vendorarch}/auto/GD dir
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar  3 2005 ro@suse.de
- added trim_miter patch from Juergen
* Wed Jul 28 2004 ro@suse.de
- update to 0.63
- renamed from perl-GDGraph3d to perl-GD-Graph3d
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Thu Nov 20 2003 ro@suse.de
- added requires
* Thu Nov 20 2003 ro@suse.de
- created package version 0.56
